#pragma once

#include "MAXProxies.hpp"
#include <Proxies\FindErrors.hpp>

namespace MAXProxies {

	class FindMAXErrors:
		public Proxies::FindErrorsProcess
	{
	public:
		FindMAXErrors(bool bSuppress=true):
			FindErrorsProcess(NULL,bSuppress,NULL),
			autoSelect(false),
			iPointer(NULL),
			progress(0)
				{}

		FindMAXErrors(
			Stuff::NotationFile *data_file, 
			Interface *i, 
			int p, 
			bool bSuppress = true,
			LPVOID fcn = NULL
		);

		void
			FindErrorsCallback(
				Proxies::GenericProxy *proxy,
				int type
			);

		bool
			autoSelect;

		Interface 
			*iPointer;
		int  
			progress;
	};

}
